## dbconfig-common 2.0.25

=== doc/Makefile ===
# example Makefile for viewing/editing an encrypted file
TARGETS := dbconfig-common dbapp-policy

#EXTENSIONS := xml dvi html info ps pdf txt tov tex
EXTENSIONS := html ps pdf txt

#default: xml dvi html info ps pdf txt tov tex
default: ${EXTENSIONS}

xml:	${foreach t,${TARGETS},${t}.xml}
dvi:	${foreach t,${TARGETS},${t}.dvi}
html:	${foreach t,${TARGETS},${t}.html}
info:	${foreach t,${TARGETS},${t}.info}
ps:	${foreach t,${TARGETS},${t}.ps}
pdf:	${foreach t,${TARGETS},${t}.pdf}
txt:	${foreach t,${TARGETS},${t}.txt}
tov:	${foreach t,${TARGETS},${t}.tov}
tex:	${foreach t,${TARGETS},${t}.tex}

clean:	${foreach f, ${TARGETS}, ${f}-clean}
	
%-clean:
	rm -rf ${foreach ext,xml dvi html info ps pdf txt tov tex tpt, ${@:-clean=}.${ext}}

%.xml:	%.sgml
	debiandoc2docbookxml ${@:.xml=.sgml}

%.dvi:	%.sgml
	debiandoc2dvi ${@:.dvi=.sgml}

%.html:	%.sgml
	debiandoc2html ${@:.html=.sgml}

%.info:	%.sgml
	debiandoc2info ${@:.info=.sgml}

%.tex:	%.sgml
	debiandoc2latex ${@:.tex=.sgml}

%.ps:	%.sgml
	debiandoc2ps ${@:.ps=.sgml}
	rm -f head.tmp body.tmp

%.pdf:	%.sgml
	debiandoc2pdf ${@:.pdf=.sgml}
	rm -f ${@:.pdf=.tpt}

%.txt:	%.sgml
	debiandoc2text ${@:.txt=.sgml}

%.tov:	%.sgml
	debiandoc2textov ${@:.tov=.sgml}

## dbconfig-common 1.8.11

=== debian/changelog ===
dbconfig-common (1.8.11) unstable; urgency=low

  [sean finney]
  * arrgh.  mysql 5.0 has changed the output from SHOW GRANTS, so
    we need to have a slightly more liberal grep statement in
    dbc_mysql_check_user().  the positive side of this is that
    this also gives the local admin to restrict the privileges
    of the db user, i guess....

 -- sean finney <seanius@debian.org>  Fri, 06 Jan 2006 09:46:06 +0100

dbconfig-common (1.8.10) unstable; urgency=high

  [sean finney]
  * dbc was not telling dbconfig-generate-include to register output
    files with ucf, and thus bad things could happen for people who
    wanted to configure their systems manually, or otherwise customize
    such files.  this causes rc behavior in packages that use dbc, so
    the urgency is thus set to high (closes: #343691).
  * updated Danish debconf translations from 
    Claus Hindsgaul (closes: #343609).

  [christian perrier]
  * corrected typo in French translation

 -- sean finney <seanius@debian.org>  Tue, 20 Dec 2005 01:03:07 +0100

dbconfig-common (1.8.9) unstable; urgency=low

  [sean finney]
  * unregister questions at dpkg purge time.
  * provide a new -C option for d-g-i to "comment out" unset options.
  [translations]
  * updated swedish translations from daniel nylander (closes: #341631).
  * updated vietnamese translations from clytie siddall (closes: #341947).

 -- sean finney <seanius@debian.org>  Mon, 05 Dec 2005 11:00:59 +0100

dbconfig-common (1.8.8) unstable; urgency=low

  [Sean Finney]
  * import documentation into debiandoc format, and update build-depends
    accordingly.
  * new swedish debconf translations from daniel nylander (closes: #339784).
  * dbconfig-generate-include was accidentally bailing out when -U
    was invoked.  fixed thanks to Matthijs Mohlmann (closes: #339881).
  * Thijs Kinkhorst pointed out that the manpages/help output would
    recommend calling d-g-i and d-l-i with optional arguments like
    "-t [varname]", when in fact it will not work unless invoked
    "-t[varname]" (closes: #341028).
  * also from Thijs: mandate that a format is chosen with d-l-i.

  [Christian Perrier]
  * Make Choices translatable in debconf templates
    Closes: #338342

 -- sean finney <seanius@debian.org>  Sat, 19 Nov 2005 21:12:03 +0100

dbconfig-common (1.8.7) unstable; urgency=low

  * Tobias Grimm noticed that internal/mysql/dbc_mysql_exec_file()
    didn't properly catch/return error values.  fixed.
  * dbconfig-generate-include and dbconfig-load-include didn't actually 
    implement --dbname.  fixed.
  * don't flash the message about importing old settings if a
    program is being installed for the first time.
  * initial support for an "ignore" option during installation, to
    give the admin a way to bludgeon us into submission if we cause
    the package to get into some kind of uninstallable/unremovable wedge
    state, or if the admin tries to install the same version twice.  
    thanks to craig small for the suggestion (closes: #333611).
  * an "improvement" to the upgrade logic, so dbc won't get clever and
    try and do stuff it shouldn't during an upgrade.

 -- sean finney <seanius@debian.org>  Mon, 07 Nov 2005 20:17:40 +0100

dbconfig-common (1.8.6) unstable; urgency=low

  [ sean finney ]
  * with multidb support, subsequent installs would override the
    chosen dbtype and default to what the autodetection found.  thanks
    to Craig Small for pointing this out (closes: #333109).
  * similar to above, dbc_authmethod_user was being overridden by
    a "default" value.  fixed.
  * in pgsql, if dbc_authmethod_admin is ident and dbc_authmethod_user
    is set to password, the admin would be prompted on the terminal
    for the dbuser's password because of a bug in internal/pgsql.
  * removed duplicate and unneccesary call to mktemp in _dbc_psql.
  * Translations:
    - updated Czech translations from Miroslav Kure.
    - updated Portuguese translations from Miguel Figueiredo.
    - updated Vietnamese translations from Clytie Siddall.
    - updated Dutch translation from Bart Cornelis

  [ Christian Perrier ]
  * Translations:
    - updated French translations by the French team. Closes: #331616

 -- sean finney <seanius@debian.org>  Tue, 11 Oct 2005 08:32:57 +0200

dbconfig-common (1.8.5) unstable; urgency=low

  * Sean Finney:
    - make sure *all* cvs directories are removed from the final
      package.  thanks to Tim Olsen for pointing a few had slipped
      through (closes: #325745).
    - the postgres user now defaults to /bin/false as a shell, so
      we explicitly add '-s /bin/sh' when su'ing to postgres.  thanks
      to Craig Small for finding this.
    - added "-c" option to credit-xlators for my own convenience.
    - debconf template updates.
    - there was some leakage/spillage of the dbc_dbname environment
      variable that messed things up for postgres users.  this should
      fix that issue.  thanks to Craig Small for all the help 
      (closes: #329730).
  * Bart Cornelis:
    - Spelling fixes and some translations for new strings sent in by
      Thijs Kinkhorst.
  * Translations:
    - updated Danish translation by Claus Hindsgaul.
    - updated German translation by Andreas Tille.

 -- sean finney <seanius@debian.org>  Tue, 27 Sep 2005 15:18:55 +0200

dbconfig-common (1.8.4) unstable; urgency=low

  * Sean Finney:
    - add support for 'template' output format in dbc_generate_include.
    - dbc no longer provides preinst hooks, as we can't promise
      dbconfig-common will be there without pre-depends.  turns out
      there was a more graceful way to handle what we wanted to do
      in there anyway.  also updated example packages accordingly.
      thanks to Miguel (as well as Marc 'HE' Brockschmidt)
      for finding this (closes: #323620).
    - updated vi.po fro clytie siddall (closes: #322281).

 -- sean finney <seanius@debian.org>  Thu, 25 Aug 2005 15:41:02 +0200

dbconfig-common (1.8.3) unstable; urgency=low



=== examples/db-example-2.1/debian/changelog ===
db-common-example (2.1) unstable; urgency=low

  * and here's a 2.1 release, which will show the upgrade functionality
    of dbconfig-common if you've already installed a 2.0 version of a
    test package.

 -- sean finney <seanius@debian.org>  Thu, 17 Mar 2005 00:33:00 -0500

db-common-example (2.0) unstable; urgency=low

  * okay, this should be the final version common across all db-test* 
    packages, minus another version for testing upgrade paths one
    more time.

 -- sean finney <seanius@debian.org>  Wed, 16 Mar 2005 19:13:05 -0500

db-common-example (1.1) unstable; urgency=low

  * now testing script based mysql install/upgrades

 -- Sean Finney <seanius@debian.org>  Fri, 04 Mar 2005 00:12:58 -0500

db-common-example (0.9) unstable; urgency=low

  * now testing automatic include file generation in db-test-mysql

 -- Sean Finney <seanius@debian.org>  Thu, 24 Feb 2005 23:44:00 -0500

db-common-example (0.8) unstable; urgency=low

  * another test for upgrade path with db-test-pgsql

 -- Sean Finney <seanius@debian.org>  Tue, 25 Jan 2005 00:06:29 -0500

db-common-example (0.7) unstable; urgency=low

  * test for upgrade path with db-test-pgsql

 -- Sean Finney <seanius@debian.org>  Fri, 24 Dec 2004 22:50:35 -0800

db-common-example (0.6) unstable; urgency=low

  * db-test-pgsql now attempts to use postgres support.

 -- Sean Finney <seanius@debian.org>  Sun, 05 Dec 2004 22:49:16 -0500

db-common-example (0.5) unstable; urgency=low

  * upgrade test for db-test-mysql

 -- Sean Finney <seanius@debian.org>  Mon, 29 Nov 2004 01:36:33 -0500

db-common-example (0.4) unstable; urgency=low

  * baseline test for db-test-mysql

 -- Sean Finney <seanius@debian.org>  Sat, 20 Nov 2004 20:51:45 -0500

db-common-example (0.3) unstable; urgency=low

  * lots of work done on the db-test-mysql package:
    - config script with bulk of debconf questions
    - postinst script which adds database user and creates
      database

 -- Sean Finney <seanius@debian.org>  Mon, 25 Oct 2004 22:18:08 -0400

db-common-example (0.2) unstable; urgency=low

  * seperate packages for generic, mysql, and pgsql

 -- Sean Finney <seanius@debian.org>  Tue, 19 Oct 2004 00:17:28 -0400

db-common-example (0.1) unstable; urgency=low

  * initial version

 -- Sean Finney <seanius@debian.org>  Sat, 09 Oct 2004 17:19:56 -0400

=== debian/control ===
Source: dbconfig-common
Section: admin
Priority: optional
Maintainer: sean finney <seanius@debian.org>
Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, tetex-extra
Standards-Version: 3.6.2

Package: dbconfig-common
Architecture: all
Depends: ucf, pwgen, ${misc:Depends}
Suggests: virtual-mysql-client | mysql-client | postgresql-client
Description: common framework for packaging database applications
 dbconfig-common presents a policy and implementation for
 managing various databases used by applications included in
 debian packages.
 .
 dbconfig-common can:
  * support mysql and postgresql based applications
  * create databases and database users
  * access local or remote databases
  * upgrade/modify databases when upstream changes database structure
  * remove databases and database users
  * generate config files in many formats with the database info
  * import configs from packages previously managing databases on their own
  * prompt users with a set of normalized, pre-translated questions
  * handle failures gracefully, with an option to retry.
  * do all the hard work automatically
  * work for package maintainers with little effort on their part
  * work for local admins with little effort on their part
  * comply with an agreed upon set of standards for behaviour
  * do absolutely nothing if it is the whim of the local admin
  * perform all operations from within the standard flow of debian
    package maintenance (no additional skill is required of the local
    admin)

=== examples/db-example-2.0/debian/control ===
Source: db-common-example
Section: misc
Priority: optional
Maintainer: sean finney <seanius@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.9

Package: db-test
Architecture: all
Depends: dbconfig-common
Recommends: mysql-server | postgresql
Description: a package to test dbconfig-common (generic version)
 this is a package to test the dbconfig-common package.  
 .
 this version should work with any database supported by dbconfig-common.

Package: db-test-mysql
Architecture: all
Depends: dbconfig-common
Recommends: mysql-server
Description: a package to test dbconfig-common (mysql version)
 this is a package to test the dbconfig-common package.  
 .
 this version should work with mysql database servers.

Package: db-test-mysql-perl
Architecture: all
Depends: dbconfig-common, libdbd-mysql-perl
Recommends: mysql-server
Description: a package to test dbconfig-common (mysql+perl version)
 this is a package to test the dbconfig-common package.  
 .
 this version should work with mysql database servers, using a perl
 script instead of just sql code.

Package: db-test-pgsql
Architecture: all
Recommends: postgresql
Depends: dbconfig-common
Description: a package to test dbconfig-common (pgsql version)
 this is a package to test the dbconfig-common package.  
 .
 this version should work with postgresql database servers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TMPDIR:=debian/dbconfig-common
SHARE=${TMPDIR}/usr/share/dbconfig-common
DOC=${TMPDIR}/usr/share/doc/dbconfig-common

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
	make -C doc

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 
	debconf-updatepo
	make -C doc clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_installdocs
	debian/credit-xlators > ${DOC}/TRANSLATORS
	install -m 644 AFL debian/dbconfig-common/usr/share/doc/dbconfig-common/
	mkdir -p debian/dbconfig-common/etc/dbconfig-common
	cp -Pr dpkg debian/dbconfig-common/usr/share/dbconfig-common/
	cp -Pr internal debian/dbconfig-common/usr/share/dbconfig-common/
	cp -P dbconfig-generate-include debian/dbconfig-common/usr/sbin/
	cp -P dbconfig-load-include debian/dbconfig-common/usr/sbin/
	find debian/dbconfig-common -type d -name CVS -exec rm -rf "{}" \; -prune

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installchangelogs 
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress -Xusr/share/doc/dbconfig-common/examples
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== examples/db-example-2.0/debian/rules ===
#!/usr/bin/make -f
# debian/rules for test-installdb package, by
# sean finney <seanius@debian.org>
#
# modified from:
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-indep build-stamp
build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

build-indep:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#
	# db-test-mysql needs the sql skeleton here:
	#
	cp install-files/mysql.sql debian/db-test-mysql/usr/share/dbconfig-common/data/db-test-mysql/install/mysql
	#
	# db-test-pgsql needs the sql skeleton here:
	#
	cp install-files/pgsql.sql debian/db-test-pgsql/usr/share/dbconfig-common/data/db-test-pgsql/install/pgsql
	#
	# db-test needs both of the files, since it can work with both
	#
	cp install-files/mysql.sql debian/db-test/usr/share/dbconfig-common/data/db-test/install/mysql
	cp install-files/pgsql.sql debian/db-test/usr/share/dbconfig-common/data/db-test/install/pgsql
	#
	# and finally, db-test-mysql-perl uses these perl scripts:
	#
	cp install-files/mysql-install.pl debian/db-test-mysql-perl/usr/share/dbconfig-common/scripts/db-test-mysql-perl/install/mysql

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installlogrotate
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install configure

=== examples/db-example-2.1/debian/rules ===
#!/usr/bin/make -f
# debian/rules for test-installdb package, by
# sean finney <seanius@debian.org>
#
# modified from:
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-indep build-stamp
build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

build-indep:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#
	# db-test-mysql needs the sql skeleton/upgrade here:
	#
	cp install-files/mysql.sql debian/db-test-mysql/usr/share/dbconfig-common/data/db-test-mysql/install/mysql
	# and the upgrade file
	cp upgrade-files/db-test-mysql-2.1.sql debian/db-test-mysql/usr/share/dbconfig-common/data/db-test-mysql/upgrade/mysql/2.1
	#
	# db-test-pgsql needs the sql skeleton/upgrade here:
	#
	cp install-files/pgsql.sql debian/db-test-pgsql/usr/share/dbconfig-common/data/db-test-pgsql/install/pgsql
	# and the upgrade file
	cp upgrade-files/db-test-pgsql-2.1.sql debian/db-test-pgsql/usr/share/dbconfig-common/data/db-test-pgsql/upgrade/pgsql/2.1
	#
	# db-test needs both of the files, since it can work with both
	#
	cp install-files/mysql.sql debian/db-test/usr/share/dbconfig-common/data/db-test/install/mysql
	cp install-files/pgsql.sql debian/db-test/usr/share/dbconfig-common/data/db-test/install/pgsql
	# and the upgrade files
	cp upgrade-files/db-test-pgsql-2.1.sql debian/db-test/usr/share/dbconfig-common/data/db-test/upgrade/pgsql/2.1
	cp upgrade-files/db-test-mysql-2.1.sql debian/db-test/usr/share/dbconfig-common/data/db-test/upgrade/mysql/2.1
	#
	# and finally, db-test-mysql-perl uses these perl scripts:
	#
	cp install-files/mysql-install.pl debian/db-test-mysql-perl/usr/share/dbconfig-common/scripts/db-test-mysql-perl/install/mysql
	cp upgrade-files/mysql-upgrade-2.1.pl debian/db-test-mysql-perl/usr/share/dbconfig-common/scripts/db-test-mysql-perl/upgrade/mysql

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installlogrotate
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install configure

## dbconfig-common 1.8.25ubuntu1

=== debian/changelog ===
dbconfig-common (1.8.25ubuntu1) edgy; urgency=low

  * dpkg/common: move pgsql/authmethod-admin and pgsql/authmethod-user
    into dbc_standard_templates so that they are known about for later use
    in dbc_preseed_package_debconf for all database types.
    (Closes Malone #65616)  See Debian #391997.

 -- Kees Cook <kees@ubuntu.com>  Thu, 19 Oct 2006 15:03:27 -0700

dbconfig-common (1.8.25) unstable; urgency=high

  * fixed bugs found by Finn Smith:
    - multidbtype packages would fail to install if the admin declined 
      our help (closes: #391160).
    - preseed values for dbc_authmethod_foo were being ignored for
      multidbtype packages (closes: #391997).
    - don't bother offering our assistance at purge time if the admin
      never opted for our help in the first place.
  * previous version hasn't made it to testing, <=> urgency stays high.

 -- sean finney <seanius@debian.org>  Tue, 10 Oct 2006 11:30:34 +0200

dbconfig-common (1.8.24) unstable; urgency=high

  * updated spanish debconf translations from Javier Fernández-Sanguino Peña 
    (closes: #391557)
  * don't try to chown a non-existant file in _dbc_pg_dump().  thanks to
    Torsten Werner for finding this (closes: #391379).
  * rc bugfix <=> high priority.

 -- sean finney <seanius@debian.org>  Sat, 07 Oct 2006 14:37:48 +0200

dbconfig-common (1.8.23) unstable; urgency=low

  * Thijs Kinkhorst noticed a discrepancy in the documenation about
    the config file later on in the documenation.  also, since 
    dbconfig-common depends on debconf, it's not necessary for the
    package in question to depend on debconf if it doesn't explicitly
    need it (closes: #388249).

 -- sean finney <seanius@debian.org>  Tue, 19 Sep 2006 14:33:55 +0200

dbconfig-common (1.8.22) unstable; urgency=low

  [ sean finney ]
  * added note about needing to check for dbconfig-common in the config
    script before sourcing the shell library (for situations where
    apt or similar utilities preconfigure the package before dependencies
    are unpacked).
  * updated examples as well.
  * updated build-depends to include po-debconf
  * updated danish translations by Claus Hindsgaul (closes: #385688).
  * updated czech translations by Miroslav Kure (closes: #386022).

  translations 
  * Updated Dutch translations by Bart Cornelis

 -- sean finney <seanius@debian.org>  Mon, 18 Sep 2006 21:12:08 +0200

dbconfig-common (1.8.21) unstable; urgency=low

  [sean finney]
  * fix sourcing incorrect shell library in sqlite example, and make
    check for ucf in purge section.
  * make sure all sh references to /dev/stderr go to &2 instead.  thanks
    to Aidas Kasparas for finding this (closes: #383988).

  [Matt Brown]
  * Default the basepath for creating sqlite databases to
    /var/lib/dbconfig-common/sqlite/<pkgname>
  * Set the permissions on the basepath to match those of the dbfile.

 -- sean finney <seanius@debian.org>  Mon, 21 Aug 2006 23:30:03 +0200

dbconfig-common (1.8.20) unstable; urgency=low

  [ sean finney ]
  * added more information about what needs to be done by packagers
    wrt the postrm script hooks.
  * added some additional overrides for the new sample packages.

  [ Matt Brown ]
  * Added support for SQLite databases. closes: #379796.

  translations
  * Updated Dutch translation by Bart Cornelis.

 -- sean finney <seanius@debian.org>  Sat, 19 Aug 2006 00:37:25 +0200

dbconfig-common (1.8.19) unstable; urgency=high

  [ sean finney ]
  * dbconfig-common and the documentation/examples were not policy complaint
    wrt the postrm script hooks.  thanks to Anthony DeRobertis for catching
    this before it was too late.  this fixes an RC bug report with
    dbconfig-common, so urgency=high.  bugs may need to be filed
    seperately against packages that used the examples verbatim.
  * incorporate the "frontend" feature for read-only packages, where
    someone may want to ask the questions but not take the actions.
    see docs for details.  thanks to Thomas Huriaux and Michael
    Ablassmeier for the prompting on this one.  closes: #373188.
  * when doing upgrades, only ask for the administrative password
    if there are upgrades to be applied.  thanks to Michael Ablassmeier
    for pointing this out.  closes: #379730.
  * merge debian/TODO and TODO into just TODO.
  * dbconfig-generate-include was using tempfiles without removing
    them afterwards.  thanks to Thijs Kinkhorst for pointing this out.
  * change dbconfig-generate-include to respect permissions that are
    locally modified via dpkg-statoverride.  thanks to Thijs Kinkhorst
    and Matt Brown for realizing this.
  * no longer depend on pwgen(1) for generating random passwords, and
    instead use sed and cut from /dev/urandom.
  * new spanish debconf translation from Javier Fernández-Sanguino Peña
    closes: #382969.

 -- sean finney <seanius@debian.org>  Tue, 15 Aug 2006 08:27:04 +0200

dbconfig-common (1.8.18) unstable; urgency=low

  [ sean finney ]
  * no longer end php-style generated files with a ?>, as it's 
    superfluous and can reportedly cause problems (closes: #379979).
    thanks to Thijs Kinkhorst for pointing this out.
  * other changes/fixes from Thijs Kinkhorst:
    - utf8 fix in changelog
    - update standards version to 3.7.2
    - lintian overrides for false-positives due to the example packages
    closes: #380353
  * updated danish debconf translations from Claus Hindsgaul, thanks.
    closes: #378769
  * fixed/improved pgsql authentication method autodetection.
  * new db-test-pgsql-migration-{1.9,2.0} packages to both show and
    test how to migrate from previous non-dbc packaging.
  * fix for sh-format include files from dbconfig-load-include.  thanks
    to Torsten Werner for finding this problem.
  * remove import-oldsettings template, i don't think the need
    merits having it.
  * packages that migrate to dbconfig-common no longer get the confusing
    installation question.


=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: sean finney <seanius@debian.org>
-Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, tetex-extra
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, po-debconf, tetex-extra, gs
+Standards-Version: 3.7.2
 
 Package: dbconfig-common
 Architecture: all
-Depends: ucf, pwgen, ${misc:Depends}
+Depends: ucf, ${misc:Depends}
 Suggests: virtual-mysql-client | mysql-client | postgresql-client
 Description: common framework for packaging database applications
  dbconfig-common presents a policy and implementation for

## dbconfig-common 1.8.29+etch1~bpo.1

=== debian/changelog ===
dbconfig-common (1.8.29+etch1~bpo.1) sarge-backports; urgency=low

  * Rebuild for Debian Backports <http://www.backports.org/>.

 -- Daniel Baumann <daniel@debian.org>  Thu,  8 Mar 2007 00:00:00 +0100

dbconfig-common (1.8.29+etch1) testing-proposed-updates; urgency=low

  * backported translations and a rather nasty fix targeted for etch.
  * tons of new/updated translations:
    * Swedish, thanks to Andreas Henriksson and Daniel Nylander.
    * Galician, thanks to Jacobo Tarrio.
    * Portuguese, thanks to Miguel Figueiredo.
    * Norwegian Bokmål, thanks to Bjørn Steensr.
    * Italian, thanks to Giuseppe Sacco.
    * Korean, thanks to Sunjae Park.
    * Russian, thanks to Yuriy Talakan'.
    * German, thanks to Helge Kreutzmann.
  * another dpkg order-of-operations corner case: if unpacked but not
    (pre-)configured, our debconf templates aren't registered yet, so
    if some dependant package tries to use us in such a state (i.e. its
    config is run before ours), fail gracefully and let its postinst
    script pick up the work with a second config run.

 -- sean finney <seanius@debian.org>  Wed, 07 Mar 2007 20:37:04 +0100

dbconfig-common (1.8.29) unstable; urgency=medium

  * Fabio Tranchitella discovered that in some environments passwords
    could be generated with illegal UTF8 characters.  the fix was simple
    enough, anyway, thanks.  Closes: #397288.

 -- sean finney <seanius@debian.org>  Sat, 11 Nov 2006 17:58:57 +0100

dbconfig-common (1.8.28) unstable; urgency=low

  * update package decscription to include mention of sqlite support.
  * preseeding values were still being dropped if debconf priority
    was set to >= high.  should be fixed now.  thanks to Finn Smith
    for his continued vigilance :)

 -- sean finney <seanius@debian.org>  Mon, 30 Oct 2006 14:05:46 +0100

dbconfig-common (1.8.27) unstable; urgency=high

  * the "patch to fix the patch to fix the patch to fix the bug" release
  * unregistered pgsql questions were being asked even in mysql packages,
    causing confusion, breakage, chaos, riots, etc.  fixed.
    closes: #393124.

 -- sean finney <seanius@debian.org>  Sun, 15 Oct 2006 18:42:24 +0200

dbconfig-common (1.8.26) unstable; urgency=high

  * the previous upload included a changelog entry that closed the
    wrong bug.  it should have read "(closes: #391960)".
  * preseeding for apt-preconfigured packages was broken, at the very
    least for multidbtype packages but i suspect it was completely
    broken.  should be fixed now.  (closes: #392681).
  * previous version hasn't made it to testing, and these are all nasty
    bugs we want out of etch <=> urgency stays high.
  * Updated Catalan debconf template

 -- sean finney <seanius@debian.org>  Fri, 13 Oct 2006 10:29:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: sean finney <seanius@debian.org>
+Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, po-debconf, tetex-extra, gs
 Standards-Version: 3.7.2
 
@@ -15,7 +16,7 @@
  debian packages.
  .
  dbconfig-common can:
-  * support mysql and postgresql based applications
+  * support mysql, postgresql, and sqlite based applications
   * create databases and database users
   * access local or remote databases
   * upgrade/modify databases when upstream changes database structure

=== examples/db-test-multidbtype-2.0/debian/control ===
Source: db-common-example
Section: misc
Priority: optional
Maintainer: sean finney <seanius@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.9

Package: db-test-multidbtype
Architecture: all
Depends: dbconfig-common
Recommends: mysql-server | postgresql
Description: a package to test dbconfig-common (generic version)
 this is a package to test the dbconfig-common package.  
 .
 this version should work with any database supported by dbconfig-common.

=== examples/db-test-pgsql-migration-1.9/debian/control ===
Source: db-common-example
Section: misc
Priority: optional
Maintainer: sean finney <seanius@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.9

Package: db-test-pgsql-migration
Architecture: all
Recommends: postgresql
Description: a package to test dbconfig-common (migration version)
 this is a package to test the dbconfig-common package.  
 .
 this version should work with postgresql database servers, and
 also illustrates how to migrate a package that was previously
 not using dbconfig-common.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 
 build: build-stamp
-	make -C doc
+	if test -z "$$dbc_debug"; then make -C doc; fi
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -39,7 +39,7 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	dh_installdocs
+	if test -z "$$dbc_debug"; then dh_installdocs; fi
 	debian/credit-xlators > ${DOC}/TRANSLATORS
 	install -m 644 AFL debian/dbconfig-common/usr/share/doc/dbconfig-common/
 	mkdir -p debian/dbconfig-common/etc/dbconfig-common
@@ -47,7 +47,10 @@
 	cp -Pr internal debian/dbconfig-common/usr/share/dbconfig-common/
 	cp -P dbconfig-generate-include debian/dbconfig-common/usr/sbin/
 	cp -P dbconfig-load-include debian/dbconfig-common/usr/sbin/
-	find debian/dbconfig-common -type d -name CVS -exec rm -rf "{}" \; -prune
+	mkdir -p debian/dbconfig-common/usr/share/lintian/overrides
+	cp -a debian/dbconfig-common.lintian \
+	      debian/dbconfig-common/usr/share/lintian/overrides/dbconfig-common
+
 
 # Build architecture-independent files here.
 binary-indep: build install

## dbconfig-common 1.8.29+etch1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: admin
 Priority: optional
 Maintainer: sean finney <seanius@debian.org>
-Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, po-debconf, tetex-extra, gs
 Standards-Version: 3.7.2

## dbconfig-common 1.8.30

=== debian/changelog ===
dbconfig-common (1.8.30) unstable; urgency=medium

  * remove some "-a" and "-o" bashisms.
  * dbconfig-load-include now returns the exit status of the "exec"
    format (where the output is based on running a script), if appropriate.
    thanks to Matt Brown for the patch (closes: #397089).
  * single-quote settings in /etc/dbconfig-common/package.conf instead
    of double-quoting them, and make sure any single quotes in the
    settings are properly escaped when written.
  * escape SQL-sensitive character sequences in passwords for user 
    creation SQL snippits.
  * escape shell/sed sensitive character sequences that are used in 
    dbconfig-generate-include (closes: #405598).
  * another dpkg order-of-operations corner case: if unpacked but not
    (pre-)configured, our debconf templates aren't registered yet, so
    if some dependant package tries to use us in such a state (i.e. its
    config is run before ours), fail gracefully and let its postinst
    script pick up the work with a second config run.

 -- sean finney <seanius@debian.org>  Sun, 21 Jan 2007 20:14:36 +0100

## dbconfig-common 1.8.35

=== debian/changelog ===
dbconfig-common (1.8.35) unstable; urgency=low

  * New Mayalalam debconf translations from Praveen A (closes: #426220).
  * Updated Vietnamese debconf translations from Clytie Siddall 
    (closes: #426841).
  * initial attempt at handling more gracefully situations where a
    database was not installed before the package was installed.  The
    text is not yet marked translatable since i don't think it's final yet.
  * do some more under-the-hood stuff for multi-instance support in the up
    and coming webapps-common package.
  * make sure the _DBC_DBSERVER_ substitution in d-g-i does not result in an 
    empty string, as is done elsewhere.  thanks to Stefano Zacchiroli for
    the patch (closes: #429841).
  * clean up an extra tmpfile that wasn't being deleted by d-g-i, thanks
    again to Stefano for the patch (closes: #429854).

 -- sean finney <seanius@debian.org>  Mon, 18 Jun 2007 18:15:29 +0100

dbconfig-common (1.8.34) unstable; urgency=low

  * new support for sqlite3, thanks to the patch from Vincent Bernat!
    (closes: #425262).
  * create leading elements of purge-time data dump, if necessary.

 -- sean finney <seanius@debian.org>  Sun, 20 May 2007 23:13:33 +0200

dbconfig-common (1.8.33) unstable; urgency=low

  * include a long-neglected fix from Adam Lebsack, which seems to fix the
    problems prevents dbconfig-common from working with dash (closes: #406127).
    this was also likely the cause of dbconfig appearing to attempt creating
    the database/user in the wrong order (closes: #418479).
  * remove some extra straggler bashisms, and use printf instead of echo
    for the dbc_log functions.
  * change function names for some internal debugging/logging functions.
  * now dbc defaults to logging to /var/log/dbconfig-common/dbc.log, which
    can perhaps make it a bit easier to get debugging info from folks who
    experience bugs.

 -- sean finney <seanius@debian.org>  Sun, 13 May 2007 15:06:01 +0200

dbconfig-common (1.8.32) unstable; urgency=low

  * incorporated the suggested grammatical corrections to debconf templates,
    doing my best to avoid fuzzying current translations.  thanks to
    Helge Kreutzmann for finding these (closes: #400784).
  * fixed random password generating code so that passwords are always
    12 characters long.  previously a newline character from /dev/urandom
    could cause it to be truncated.
  * correction version number in sample sql script for the db-test-mysql-2.1
    example package.  thanks to Niko Tyni (closes: #421009).
  * fixed typo in french debconf translations, thanks to Frédéric Bothamy
    for pointing this out (closes: #422196).
  * small fix for created nested subdirectories, which will be used by
    the soon-coming webapps-common package.

 -- sean finney <seanius@debian.org>  Sat, 12 May 2007 14:41:27 +0200

dbconfig-common (1.8.31) unstable; urgency=low

  * tons of new/updated translations:
    * Swedish, thanks to Andreas Henriksson and Daniel Nylander
      (closes: #407852, #412012).
    * Galician, thanks to Jacobo Tarrio (closes: #412025).
    * Portuguese, thanks to Miguel Figueiredo (closes: #412177).
    * Norwegian Bokmål, thanks to Bjørn Steensrud (closes: #412308).
    * Italian, thanks to Giuseppe Sacco (closes: #412172).
    * Korean, thanks to Sunjae Park (closes: #412780).
    * Russian, thanks to Yuriy Talakan' (closes: #412788).
    * German, thanks to Helge Kreutzmann (closes: #400799).

 -- sean finney <seanius@debian.org>  Sun, 04 Mar 2007 12:59:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -41,16 +41,15 @@
 	dh_installdirs
 	if test -z "$$dbc_debug"; then dh_installdocs; fi
 	debian/credit-xlators > ${DOC}/TRANSLATORS
-	install -m 644 AFL debian/dbconfig-common/usr/share/doc/dbconfig-common/
-	mkdir -p debian/dbconfig-common/etc/dbconfig-common
-	cp -Pr dpkg debian/dbconfig-common/usr/share/dbconfig-common/
-	cp -Pr internal debian/dbconfig-common/usr/share/dbconfig-common/
-	cp -P dbconfig-generate-include debian/dbconfig-common/usr/sbin/
-	cp -P dbconfig-load-include debian/dbconfig-common/usr/sbin/
-	mkdir -p debian/dbconfig-common/usr/share/lintian/overrides
+	install -m 644 AFL ${TMPDIR}/usr/share/doc/dbconfig-common/
+	mkdir -p ${TMPDIR}/etc/dbconfig-common
+	cp -Pr dpkg ${TMPDIR}/usr/share/dbconfig-common/
+	cp -Pr internal ${TMPDIR}/usr/share/dbconfig-common/
+	cp -P dbconfig-generate-include ${TMPDIR}/usr/sbin/
+	cp -P dbconfig-load-include ${TMPDIR}/usr/sbin/
+	mkdir -p ${TMPDIR}/usr/share/lintian/overrides
 	cp -a debian/dbconfig-common.lintian \
-	      debian/dbconfig-common/usr/share/lintian/overrides/dbconfig-common
-
+	      ${TMPDIR}/usr/share/lintian/overrides/dbconfig-common
 
 # Build architecture-independent files here.
 binary-indep: build install
